Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Interface IDataOrder

All Known Implementing Classes:
  DataOrder

public interface IDataOrder

IDataOrder
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Method Summary
`void` | `pull(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String order)` Descend la pile de priorité ŕ partir d'un certain rang
`void` | `push(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Monte la pile de priorité de 1 rang
`void` | `swap(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String doc, java.lang.String oldorder, java.lang.String neworder)` Echange le rang de deux documents

Method Detail

### push

    public void push(org.esupportail.portal.utils.database.Query query,
                     java.lang.String id)
              throws DataException

  Monte la pile de priorité de 1 rang

  Parameters:
    `query` - La connexion ŕ utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### pull

    public void pull(org.esupportail.portal.utils.database.Query query,
                     java.lang.String id,
                     java.lang.String order)
              throws DataException

  Descend la pile de priorité ŕ partir d'un certain rang

  Parameters:
    `query` - La connexion ŕ utiliser
    `id` - L'identifiant du dossier
    `order` - Le rang ŕ partir duquel on travaille
  Throws:
    `DataException`

### swap

    public void swap(org.esupportail.portal.utils.database.Query query,
                     java.lang.String id,
                     java.lang.String doc,
                     java.lang.String oldorder,
                     java.lang.String neworder)
              throws DataException

  Echange le rang de deux documents

  Parameters:
    `query` - La connexion ŕ utiliser
    `id` - L'identifiant du dossier
    `doc` - L'identifiant du document
    `oldorder` - L'ancien rang du document
    `neworder` - Le nouveau rang du document
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD